以前看这篇文章,把自己电脑上的配置好了,后来忘了是怎么配的了。又找到这篇文章,收藏一下。

via: http://mozilla.com.cn/kb/user/A.45/

现在firefox4.0beta版很热门啊,很多人都在使用。但也有一些人因为firefox4.0beta和3.6同时安装,造成firefox配置文档混用,使firefox崩溃。

其实火狐是支持多配置文件的。只需在启动参数中加入 -p。

(文章后面有关启动参数添加及说明请参看这里火狐常见启动参数介绍。)

使用参数启动后就会打开火狐配置文档管理器。

alt text

这时你就可以管理用户配置文件了。

具体多版本共存的方法如下:

首先安装新版本火狐之前请用老版本火狐-p启动配置文件管理器,新建一个配置文档。使用新配置文档启动一次,关闭火狐。火狐会以最后一次使用的配置文档为默认文档,正常启动时均采用最后一次的配置文档。

然后再安装新的火狐,注意安装目录不要使用默认的,有可能会覆盖掉老版火狐,安装到其他地方,安装好之后,在生成的桌面快捷方式上也设置为 -p启动,选择刚才新的配置文档就可以了!

以后使用火狐时均采用-p启动然后选择不同版本对应的配置文档就可以了。

也可以使用多个参数配合,比如 -p “火狐版本对应的配置文档名字”实现多个快捷方式打开不同版本火狐。

比如我的

"D:Program FilesMozilla Firefox 4.0firefox.exe" --no-remote -p ff4beta
"D:Program FilesMozilla Firefox firefox.exe" --no-remote -p wdp

–no-remote的作用就是可以运行多个不同配置文档的火狐。也能启动多个版本火狐,但注意最后启动的一个火狐的配置文档会被定为默认。

一般把火狐设置为-p启动有很多好处,用户可以用多个配置文档同时创建n个功能完全不同的火狐,可以有一个专门安装日常使用扩展,使之成为日常使用火狐,有一个配置文档专门安装调试工具,使之成为开发专用火狐等等~~~

有没有尝试过看看你的网页在IE各个版本中是什么样子?本文提供同时在XP系统中安装IE3到IE8所有版本的方法。包括IE3.0、IE4.01、IE5.01、IE5.5、IE6.0、IE7.0、IE8.0beta。

看起来比较疯狂的举动,其实现在IE6以前的版本很少有人用了,这里写出来IE6以前的版本的安装只是供大家玩乐而已,没有实际作用。作网站设计的最多也就能用到5.5。做为一个网页设计人员,IE6及以后的版本是必装的,FF的两个版本也必须安装。因为各个浏览器之间的差别实在是… 不测不知道,一测吓一跳!

先说说同时安装这些软件的大体思路。
IE:很简单,两个模拟软件:IETester和MultipleIE。前者可以模拟IE5.5到IE8,后者可以安装IE3到IE6。
一、IE多版本安装

前提:WINDOWS XP操作系统、IE版本升到7以上、下载完下面这两个软件。
IETester最新版本是0.2.2 官方网站:http://www.my-debugbar.com/wiki/IETester/HomePage
MultipleIE是很老的一个软件了。官方网站:http://tredosoft.com/Multiple_IE

下面就让我们开始安装吧。
安装步骤:
1.首先装你的IE浏览器升级到IE7以上。
2.安装Multiple_IE.

3.安装IETester.

这就OK了,非常简单。当然有复杂的方法,就是利用网上的绿化版,但安装后各版本冲突很严重,不信可以试一下哦~ 用这两个软件安装的就不会有问题了。